- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Data Structures | Typedefs | Enumerations | Functions
Edje Text Entry
Edje Text Part

Functions that deal with text entries. More...

## Data Structures
struct | _Edje_Entry_Change_Info

## Typedefs
typedef struct _Edje_Entry_Change_Info | Edje_Entry_Change_Info
typedef enum _Edje_Text_Filter_Type | Edje_Text_Filter_Type
typedef enum _Edje_Text_Autocapital_Type | Edje_Text_Autocapital_Type
typedef enum _Edje_Input_Panel_Lang | Edje_Input_Panel_Lang
typedef enum _Edje_Input_Panel_Return_Key_Type | Edje_Input_Panel_Return_Key_Type
typedef enum _Edje_Input_Panel_Layout | Edje_Input_Panel_Layout
typedef void(* | Edje_Text_Filter_Cb )(void *data, Evas_Object *obj, const char *part, Edje_Text_Filter_Type type, char **text)
typedef void(* | Edje_Markup_Filter_Cb )(void *data, Evas_Object *obj, const char *part, char **text)
typedef Evas_Object *(* | Edje_Item_Provider_Cb )(void *data, Evas_Object *obj, const char *part, const char *item)

## Enumerations
enum | _Edje_Text_Filter_Type { EDJE_TEXT_FILTER_TEXT = 0, EDJE_TEXT_FILTER_FORMAT = 1, EDJE_TEXT_FILTER_MARKUP = 2 }
enum | _Edje_Text_Autocapital_Type { EDJE_TEXT_AUTOCAPITAL_TYPE_NONE, EDJE_TEXT_AUTOCAPITAL_TYPE_WORD, EDJE_TEXT_AUTOCAPITAL_TYPE_SENTENCE, EDJE_TEXT_AUTOCAPITAL_TYPE_ALLCHARACTER }
enum | _Edje_Input_Panel_Lang { EDJE_INPUT_PANEL_LANG_AUTOMATIC, EDJE_INPUT_PANEL_LANG_ALPHABET }
enum | _Edje_Input_Panel_Return_Key_Type { EDJE_INPUT_PANEL_RETURN_KEY_TYPE_DEFAULT, EDJE_INPUT_PANEL_RETURN_KEY_TYPE_DONE, EDJE_INPUT_PANEL_RETURN_KEY_TYPE_GO, EDJE_INPUT_PANEL_RETURN_KEY_TYPE_JOIN, EDJE_INPUT_PANEL_RETURN_KEY_TYPE_LOGIN, EDJE_INPUT_PANEL_RETURN_KEY_TYPE_NEXT, EDJE_INPUT_PANEL_RETURN_KEY_TYPE_SEARCH, EDJE_INPUT_PANEL_RETURN_KEY_TYPE_SEND, EDJE_INPUT_PANEL_RETURN_KEY_TYPE_SIGNIN }
enum | _Edje_Input_Panel_Layout { EDJE_INPUT_PANEL_LAYOUT_NORMAL, EDJE_INPUT_PANEL_LAYOUT_NUMBER, EDJE_INPUT_PANEL_LAYOUT_EMAIL, EDJE_INPUT_PANEL_LAYOUT_URL, EDJE_INPUT_PANEL_LAYOUT_PHONENUMBER, EDJE_INPUT_PANEL_LAYOUT_IP, EDJE_INPUT_PANEL_LAYOUT_MONTH, EDJE_INPUT_PANEL_LAYOUT_NUMBERONLY, EDJE_INPUT_PANEL_LAYOUT_INVALID, EDJE_INPUT_PANEL_LAYOUT_HEX, EDJE_INPUT_PANEL_LAYOUT_TERMINAL, EDJE_INPUT_PANEL_LAYOUT_PASSWORD, EDJE_INPUT_PANEL_LAYOUT_DATETIME }
enum | { EDJE_INPUT_PANEL_LAYOUT_NUMBERONLY_VARIATION_NORMAL, EDJE_INPUT_PANEL_LAYOUT_NUMBERONLY_VARIATION_SIGNED, EDJE_INPUT_PANEL_LAYOUT_NUMBERONLY_VARIATION_DECIMAL, EDJE_INPUT_PANEL_LAYOUT_NUMBERONLY_VARIATION_SIGNED_AND_DECIMAL }

## Functions
void | edje_password_show_last_set (Eina_Bool password_show_last)
| Show last character in password mode. More...
void | edje_password_show_last_timeout_set (double password_show_last_timeout)
| Set's the timeout value in last show password mode. More...
#define | edje_obj_mirrored_get(ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_MIRRORED_GET), EO_TYPECHECK(Eina_Bool *, ret)
| Get the RTL orientation for this object. More...
#define | edje_obj_mirrored_set(rtl) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_MIRRORED_SET), EO_TYPECHECK(Eina_Bool, rtl)
| Set the RTL orientation for this object. More...
#define | edje_obj_item_provider_set(func, data) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_ITEM_PROVIDER_SET), EO_TYPECHECK(Edje_Item_Provider_Cb, func), EO_TYPECHECK(void *, data)
| Set the function that provides item objects for named items in an edje entry text. More...
#define | edje_obj_part_text_imf_context_reset(part) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_IMF_CONTEXT_RESET), EO_TYPECHECK(const char *, part)
| Reset the input method context if needed. More...
#define | edje_obj_part_text_imf_context_get(part, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_IMF_CONTEXT_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(void **, ret)
| Get the input method context in entry. More...
#define | edje_obj_part_text_input_panel_layout_set(part, layout) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_LAYOUT_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Input_Panel_Layout, layout)
| Set the layout of the input panel. More...
#define | edje_obj_part_text_input_panel_layout_get(part, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_LAYOUT_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Input_Panel_Layout *, ret)
| Get the layout of the input panel. More...
#define | edje_obj_part_text_input_panel_variation_get(part, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_LAYOUT_VARIATION_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(int *, ret)
| Get the layout variation of the input panel. More...
#define | edje_obj_part_text_input_panel_variation_set(part, variation) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_LAYOUT_VARIATION_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(int, variation)
| Set the layout variation of the input panel. More...
#define | edje_obj_part_text_autocapital_type_set(part, autocapital_type) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_AUTOCAPITAL_TYPE_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Text_Autocapital_Type, autocapital_type)
| Set the autocapitalization type on the immodule. More...
#define | edje_obj_part_text_autocapital_type_get(part, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_AUTOCAPITAL_TYPE_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Text_Autocapital_Type *, ret)
| Retrieves the autocapitalization type. More...
#define | edje_obj_part_text_prediction_allow_set(part, prediction) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_PREDICTION_ALLOW_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Eina_Bool, prediction)
| Set whether the prediction is allowed or not. More...
#define | edje_obj_part_text_prediction_allow_get(part, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_PREDICTION_ALLOW_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Eina_Bool *, ret)
| Get whether the prediction is allowed or not. More...
#define | edje_obj_part_text_input_panel_enabled_set(part, enabled) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_ENABLED_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Eina_Bool, enabled)
| Sets the attribute to show the input panel automatically. More...
#define | edje_obj_part_text_input_panel_enabled_get(part, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_ENABLED_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Eina_Bool *, ret)
| Retrieve the attribute to show the input panel automatically. More...
#define | edje_obj_part_text_input_panel_show(part) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_SHOW), EO_TYPECHECK(const char *, part)
| Show the input panel (virtual keyboard) based on the input panel property such as layout, autocapital types, and so on. More...
#define | edje_obj_part_text_input_panel_hide(part) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_HIDE), EO_TYPECHECK(const char *, part)
| Hide the input panel (virtual keyboard). More...
#define | edje_obj_part_text_input_panel_language_set(part, lang) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_LANGUAGE_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Input_Panel_Lang, lang)
#define | edje_obj_part_text_input_panel_language_get(part, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_LANGUAGE_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Input_Panel_Lang *, ret)
#define | edje_obj_part_text_input_panel_imdata_set(part, data, len) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_IMDATA_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(const void *, data), EO_TYPECHECK(int, len)
#define | edje_obj_part_text_input_panel_imdata_get(part, data, len) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_IMDATA_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(void *, data), EO_TYPECHECK(int *, len)
#define | edje_obj_part_text_input_panel_return_key_type_set(part, return_key_type) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_RETURN_KEY_TYPE_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Input_Panel_Return_Key_Type, return_key_type)
#define | edje_obj_part_text_input_panel_return_key_type_get(part, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_RETURN_KEY_TYPE_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Input_Panel_Return_Key_Type *, ret)
#define | edje_obj_part_text_input_panel_return_key_disabled_set(part, disabled) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_RETURN_KEY_DISABLED_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Eina_Bool, disabled)
#define | edje_obj_part_text_input_panel_return_key_disabled_get(part, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_RETURN_KEY_DISABLED_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Eina_Bool *, ret)
#define | edje_obj_part_text_input_panel_show_on_demand_set(part, ondemand) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_SHOW_ON_DEMAND_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Eina_Bool, ondemand)
| Set the attribute to show the input panel in case of only an user's explicit Mouse Up event. More...
#define | edje_obj_part_text_input_panel_show_on_demand_get(part, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_SHOW_ON_DEMAND_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Eina_Bool *, ret)
| Get the attribute to show the input panel in case of only an user's explicit Mouse Up event. More...
#define | edje_obj_text_insert_filter_callback_add(part, func, data) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_TEXT_INSERT_FILTER_CALLBACK_ADD), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Text_Filter_Cb, func), EO_TYPECHECK(void *, data)
#define | edje_obj_text_insert_filter_callback_del(part, func, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_TEXT_INSERT_FILTER_CALLBACK_DEL), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Text_Filter_Cb, func), EO_TYPECHECK(void **, ret)
#define | edje_obj_text_insert_filter_callback_del_full(part, func, data, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_TEXT_INSERT_FILTER_CALLBACK_DEL_FULL), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Text_Filter_Cb, func), EO_TYPECHECK(void *, data), EO_TYPECHECK(void **, ret)
#define | edje_obj_text_markup_filter_callback_add(part, func, data) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_TEXT_MARKUP_FILTER_CALLBACK_ADD), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Markup_Filter_Cb, func), EO_TYPECHECK(void *, data)
#define | edje_obj_text_markup_filter_callback_del(part, func, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_TEXT_MARKUP_FILTER_CALLBACK_DEL), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Markup_Filter_Cb, func), EO_TYPECHECK(void **, ret)
#define | edje_obj_text_markup_filter_callback_del_full(part, func, data, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_TEXT_MARKUP_FILTER_CALLBACK_DEL_FULL), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Markup_Filter_Cb, func), EO_TYPECHECK(void *, data), EO_TYPECHECK(void **, ret)
void | edje_object_mirrored_set (Evas_Object *obj, Eina_Bool rtl)
| Set the RTL orientation for this object. More...
Eina_Bool | edje_object_mirrored_get (const Evas_Object *obj)
| Get the RTL orientation for this object. More...
void | edje_object_item_provider_set (Evas_Object *obj, Edje_Item_Provider_Cb func, void *data)
| Set the function that provides item objects for named items in an edje entry text. More...
void | edje_object_part_text_imf_context_reset (const Evas_Object *obj, const char *part)
| Reset the input method context if needed. More...
void * | edje_object_part_text_imf_context_get (const Evas_Object *obj, const char *part)
| Get the input method context in entry. More...
void | edje_object_part_text_input_panel_layout_set (Evas_Object *obj, const char *part, Edje_Input_Panel_Layout layout)
| Set the layout of the input panel. More...
Edje_Input_Panel_Layout | edje_object_part_text_input_panel_layout_get (const Evas_Object *obj, const char *part)
| Get the layout of the input panel. More...
void | edje_object_part_text_input_panel_layout_variation_set (Evas_Object *obj, const char *part, int variation)
| Set the layout variation of the input panel. More...
int | edje_object_part_text_input_panel_layout_variation_get (const Evas_Object *obj, const char *part)
| Get the layout variation of the input panel. More...
void | edje_object_part_text_autocapital_type_set (Evas_Object *obj, const char *part, Edje_Text_Autocapital_Type autocapital_type)
| Set the autocapitalization type on the immodule. More...
Edje_Text_Autocapital_Type | edje_object_part_text_autocapital_type_get (const Evas_Object *obj, const char *part)
| Retrieves the autocapitalization type. More...
void | edje_object_part_text_prediction_allow_set (Evas_Object *obj, const char *part, Eina_Bool prediction)
| Set whether the prediction is allowed or not. More...
Eina_Bool | edje_object_part_text_prediction_allow_get (const Evas_Object *obj, const char *part)
| Get whether the prediction is allowed or not. More...
void | edje_object_part_text_input_panel_enabled_set (Evas_Object *obj, const char *part, Eina_Bool enabled)
| Sets the attribute to show the input panel automatically. More...
Eina_Bool | edje_object_part_text_input_panel_enabled_get (const Evas_Object *obj, const char *part)
| Retrieve the attribute to show the input panel automatically. More...
void | edje_object_part_text_input_panel_show (const Evas_Object *obj, const char *part)
| Show the input panel (virtual keyboard) based on the input panel property such as layout, autocapital types, and so on. More...
void | edje_object_part_text_input_panel_hide (const Evas_Object *obj, const char *part)
| Hide the input panel (virtual keyboard). More...
void | edje_object_part_text_input_panel_language_set (Evas_Object *obj, const char *part, Edje_Input_Panel_Lang lang)
| Set the language mode of the input panel. More...
Edje_Input_Panel_Lang | edje_object_part_text_input_panel_language_get (const Evas_Object *obj, const char *part)
| Get the language mode of the input panel. More...
void | edje_object_part_text_input_panel_imdata_set (Evas_Object *obj, const char *part, const void *data, int len)
| Set the input panel-specific data to deliver to the input panel. More...
void | edje_object_part_text_input_panel_imdata_get (const Evas_Object *obj, const char *part, void *data, int *len)
| Get the specific data of the current active input panel. More...
void | edje_object_part_text_input_panel_return_key_type_set (Evas_Object *obj, const char *part, Edje_Input_Panel_Return_Key_Type return_key_type)
| Set the "return" key type. More...
Edje_Input_Panel_Return_Key_Type | edje_object_part_text_input_panel_return_key_type_get (const Evas_Object *obj, const char *part)
| Get the "return" key type. More...
void | edje_object_part_text_input_panel_return_key_disabled_set (Evas_Object *obj, const char *part, Eina_Bool disabled)
| Set the return key on the input panel to be disabled. More...
Eina_Bool | edje_object_part_text_input_panel_return_key_disabled_get (const Evas_Object *obj, const char *part)
| Get whether the return key on the input panel should be disabled or not. More...
void | edje_object_part_text_input_panel_show_on_demand_set (Evas_Object *obj, const char *part, Eina_Bool ondemand)
| Set the attribute to show the input panel in case of only an user's explicit Mouse Up event. More...
Eina_Bool | edje_object_part_text_input_panel_show_on_demand_get (const Evas_Object *obj, const char *part)
| Get the attribute to show the input panel in case of only an user's explicit Mouse Up event. More...
void | edje_object_text_insert_filter_callback_add (Evas_Object *obj, const char *part, Edje_Text_Filter_Cb func, void *data)
| Add a filter function for newly inserted text. More...
void * | edje_object_text_insert_filter_callback_del (Evas_Object *obj, const char *part, Edje_Text_Filter_Cb func)
| Delete a function from the filter list. More...
void * | edje_object_text_insert_filter_callback_del_full (Evas_Object *obj, const char *part, Edje_Text_Filter_Cb func, void *data)
| Delete a function and matching user data from the filter list. More...
void | edje_object_text_markup_filter_callback_add (Evas_Object *obj, const char *part, Edje_Markup_Filter_Cb func, void *data)
| Add a markup filter function for newly inserted text. More...
void * | edje_object_text_markup_filter_callback_del (Evas_Object *obj, const char *part, Edje_Markup_Filter_Cb func)
| Delete a function from the markup filter list. More...
void * | edje_object_text_markup_filter_callback_del_full (Evas_Object *obj, const char *part, Edje_Markup_Filter_Cb func, void *data)
| Delete a function and matching user data from the markup filter list. More...

## Detailed Description

Functions that deal with text entries.

In Edje it's possible to use a text part as a entry so the user is able to make inputs of text. To do so, the text part must be set with a input panel taht will work as a virtual keyboard.

Some of effects can be applied to the entered text and also plenty actions can be performed after any input.

Use the functions of this section to handle the user input of text.

## Macro Definition Documentation

#define edje_obj_mirrored_get | ( |  | ret | ) | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_MIRRORED_GET), EO_TYPECHECK(Eina_Bool *, ret)

Get the RTL orientation for this object.

Since
  1.8

Parameters

  [out] | ret |

See Also
  edje_object_mirrored_get

Referenced by edje_object_mirrored_get().

#define edje_obj_mirrored_set | ( |  | rtl | ) | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_MIRRORED_SET), EO_TYPECHECK(Eina_Bool, rtl)

Set the RTL orientation for this object.

Since
  1.8

Parameters

  [in] | rtl |

See Also
  edje_object_mirrored_set

Referenced by edje_object_mirrored_set().

#define edje_obj_item_provider_set | ( |  | func,
|  |  | data
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_ITEM_PROVIDER_SET), EO_TYPECHECK(Edje_Item_Provider_Cb, func), EO_TYPECHECK(void *, data)

Set the function that provides item objects for named items in an edje entry text.

Since
  1.8

Parameters

  [in] | func |
  [in] | data |

See Also
  edje_object_item_provider_set

Referenced by edje_object_item_provider_set().

#define edje_obj_part_text_imf_context_reset | ( |  | part | ) | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_IMF_CONTEXT_RESET), EO_TYPECHECK(const char *, part)

Reset the input method context if needed.

Since
  1.8

Parameters

  [in] | part |

See Also
  edje_object_part_text_imf_context_reset

Referenced by edje_object_part_text_imf_context_reset().

#define edje_obj_part_text_imf_context_get | ( |  | part,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_IMF_CONTEXT_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(void **, ret)

Get the input method context in entry.

Since
  1.8

Parameters

  [in] | part |
  [out] | ret |

See Also
  edje_object_part_text_imf_context_get

Referenced by edje_object_part_text_imf_context_get().

#define edje_obj_part_text_input_panel_layout_set | ( |  | part,
|  |  | layout
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_LAYOUT_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Input_Panel_Layout, layout)

Set the layout of the input panel.

Since
  1.8

Parameters

  [in] | part |
  [in] | layout |

See Also
  edje_object_part_text_input_panel_layout_set

Referenced by edje_object_part_text_input_panel_layout_set().

#define edje_obj_part_text_input_panel_layout_get | ( |  | part,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_LAYOUT_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Input_Panel_Layout *, ret)

Get the layout of the input panel.

Since
  1.8

Parameters

  [in] | part |
  [out] | ret |

See Also
  edje_object_part_text_input_panel_layout_get

Referenced by edje_object_part_text_input_panel_layout_get().

#define edje_obj_part_text_input_panel_variation_get | ( |  | part,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_LAYOUT_VARIATION_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(int *, ret)

Get the layout variation of the input panel.

Since
  1.8

Parameters

  [in] | part |
  [out] | ret |

See Also
  edje_object_part_text_input_panel_variation_get

Referenced by edje_object_part_text_input_panel_layout_variation_get().

#define edje_obj_part_text_input_panel_variation_set | ( |  | part,
|  |  | variation
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_LAYOUT_VARIATION_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(int, variation)

Set the layout variation of the input panel.

Since
  1.8

Parameters

  [in] | part |
  [in] | variation |

See Also
  edje_object_part_text_input_panel_variation_get

Referenced by edje_object_part_text_input_panel_layout_variation_set().

#define edje_obj_part_text_autocapital_type_set | ( |  | part,
|  |  | autocapital_type
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_AUTOCAPITAL_TYPE_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Text_Autocapital_Type, autocapital_type)

Set the autocapitalization type on the immodule.

Since
  1.8

Parameters

  [in] | part |
  [in] | autocapital_type |

See Also
  edje_object_part_text_autocapital_type_set

Referenced by edje_object_part_text_autocapital_type_set().

#define edje_obj_part_text_autocapital_type_get | ( |  | part,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_AUTOCAPITAL_TYPE_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Text_Autocapital_Type *, ret)

Retrieves the autocapitalization type.

Since
  1.8

Parameters

  [in] | part |
  [out] | ret |

See Also
  edje_object_part_text_autocapital_type_get

Referenced by edje_object_part_text_autocapital_type_get().

#define edje_obj_part_text_prediction_allow_set | ( |  | part,
|  |  | prediction
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_PREDICTION_ALLOW_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Eina_Bool, prediction)

Set whether the prediction is allowed or not.

Since
  1.8

Parameters

  [in] | part |
  [in] | prediction |

See Also
  edje_object_part_text_prediction_allow_set

Referenced by edje_object_part_text_prediction_allow_set().

#define edje_obj_part_text_prediction_allow_get | ( |  | part,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_PREDICTION_ALLOW_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Eina_Bool *, ret)

Get whether the prediction is allowed or not.

Since
  1.8

Parameters

  [in] | part |
  [out] | ret |

See Also
  edje_object_part_text_prediction_allow_get

Referenced by edje_object_part_text_prediction_allow_get().

#define edje_obj_part_text_input_panel_enabled_set | ( |  | part,
|  |  | enabled
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_ENABLED_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Eina_Bool, enabled)

Sets the attribute to show the input panel automatically.

Since
  1.8

Parameters

  [in] | part |
  [in] | enabled |

See Also
  edje_object_part_text_input_panel_enabled_set

Referenced by edje_object_part_text_input_panel_enabled_set().

#define edje_obj_part_text_input_panel_enabled_get | ( |  | part,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_ENABLED_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Eina_Bool *, ret)

Retrieve the attribute to show the input panel automatically.

Since
  1.8

Parameters

  [in] | part |
  [out] | ret |

See Also
  edje_object_part_text_input_panel_enabled_get

Referenced by edje_object_part_text_input_panel_enabled_get().

#define edje_obj_part_text_input_panel_show | ( |  | part | ) | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_SHOW), EO_TYPECHECK(const char *, part)

Show the input panel (virtual keyboard) based on the input panel property such as layout, autocapital types, and so on.

Since
  1.8

Parameters

  [in] | part |

See Also
  edje_object_part_text_input_panel_show

Referenced by edje_object_part_text_input_panel_show().

#define edje_obj_part_text_input_panel_hide | ( |  | part | ) | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_HIDE), EO_TYPECHECK(const char *, part)

Hide the input panel (virtual keyboard).

Since
  1.8

Parameters

  [in] | part |

See Also
  edje_object_part_text_input_panel_hide

Referenced by edje_object_part_text_input_panel_hide().

#define edje_obj_part_text_input_panel_language_set | ( |  | part,
|  |  | lang
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_LANGUAGE_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Input_Panel_Lang, lang)

Since
  1.8

Set the language mode of the input panel.

Parameters

  [in] | part |
  [in] | lang |

See Also
  edje_object_part_text_input_panel_language_set

Referenced by edje_object_part_text_input_panel_language_set().

#define edje_obj_part_text_input_panel_language_get | ( |  | part,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_LANGUAGE_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Input_Panel_Lang *, ret)

Since
  1.8

Get the language mode of the input panel.

Parameters

  [in] | part |
  [out] | ret |

See Also
  edje_object_part_text_input_panel_language_get

Referenced by edje_object_part_text_input_panel_language_get().

#define edje_obj_part_text_input_panel_imdata_set | ( |  | part,
|  |  | data,
|  |  | len
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_IMDATA_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(const void *, data), EO_TYPECHECK(int, len)

Since
  1.8

Set the input panel-specific data to deliver to the input panel.

Parameters

  [in] | part |
  [in] | data |
  [in] | len |

See Also
  edje_object_part_text_input_panel_imdata_set

Referenced by edje_object_part_text_input_panel_imdata_set().

#define edje_obj_part_text_input_panel_imdata_get | ( |  | part,
|  |  | data,
|  |  | len
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_IMDATA_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(void *, data), EO_TYPECHECK(int *, len)

Since
  1.8

Get the specific data of the current active input panel.

Parameters

  [in] | part |
  [in] | data |
  [in] | len |

See Also
  edje_object_part_text_input_panel_imdata_get

Referenced by edje_object_part_text_input_panel_imdata_get().

#define edje_obj_part_text_input_panel_return_key_type_set | ( |  | part,
|  |  | return_key_type
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_RETURN_KEY_TYPE_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Input_Panel_Return_Key_Type, return_key_type)

Since
  1.8

Set the "return" key type. This type is used to set string or icon on the "return" key of the input panel.

Parameters

  [in] | part |
  [out] | return_key_type |

See Also
  edje_object_part_text_input_panel_return_key_type_set

Referenced by edje_object_part_text_input_panel_return_key_type_set().

#define edje_obj_part_text_input_panel_return_key_type_get | ( |  | part,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_RETURN_KEY_TYPE_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Input_Panel_Return_Key_Type *, ret)

Since
  1.8

Get the "return" key type.

Parameters

  [in] | part |
  [out] | ret |

See Also
  edje_object_part_text_input_panel_return_key_type_get

Referenced by edje_object_part_text_input_panel_return_key_type_get().

#define edje_obj_part_text_input_panel_return_key_disabled_set | ( |  | part,
|  |  | disabled
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_RETURN_KEY_DISABLED_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Eina_Bool, disabled)

Since
  1.8

Set the return key on the input panel to be disabled.

Parameters

  [in] | part |
  [in] | disabled |

See Also
  edje_object_part_text_input_panel_return_key_disabled_set

Referenced by edje_object_part_text_input_panel_return_key_disabled_set().

#define edje_obj_part_text_input_panel_return_key_disabled_get | ( |  | part,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_RETURN_KEY_DISABLED_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get whether the return key on the input panel should be disabled or not.

Parameters

  [in] | part |
  [out] | ret |

See Also
  edje_object_part_text_input_panel_return_key_disabled_get

Referenced by edje_object_part_text_input_panel_return_key_disabled_get().

#define edje_obj_part_text_input_panel_show_on_demand_set | ( |  | part,
|  |  | ondemand
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_SHOW_ON_DEMAND_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Eina_Bool, ondemand)

Set the attribute to show the input panel in case of only an user's explicit Mouse Up event.

Since
  1.9

Parameters

  [in] | part |
  [in] | ondemand |

See Also
  edje_object_part_text_input_panel_show_on_demand_set

Referenced by edje_object_part_text_input_panel_show_on_demand_set().

#define edje_obj_part_text_input_panel_show_on_demand_get | ( |  | part,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INPUT_PANEL_SHOW_ON_DEMAND_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Eina_Bool *, ret)

Get the attribute to show the input panel in case of only an user's explicit Mouse Up event.

Since
  1.9

Parameters

  [in] | part |
  [out] | ret |

See Also
  edje_object_part_text_input_panel_show_on_demand_get

Referenced by edje_object_part_text_input_panel_show_on_demand_get().

#define edje_obj_text_insert_filter_callback_add | ( |  | part,
|  |  | func,
|  |  | data
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_TEXT_INSERT_FILTER_CALLBACK_ADD), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Text_Filter_Cb, func), EO_TYPECHECK(void *, data)

Since
  1.8

Add a filter function for newly inserted text.

Parameters

  [in] | part |
  [in] | func |
  [in] | data |

See Also
  edje_object_text_insert_filter_callback_add

Referenced by edje_object_text_insert_filter_callback_add().

#define edje_obj_text_insert_filter_callback_del | ( |  | part,
|  |  | func,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_TEXT_INSERT_FILTER_CALLBACK_DEL), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Text_Filter_Cb, func), EO_TYPECHECK(void **, ret)

Since
  1.8

Delete a function from the filter list.

Parameters

  [in] | part |
  [in] | func |
  [out] | ret |

See Also
  edje_object_text_insert_filter_callback_del

Referenced by edje_object_text_insert_filter_callback_del().

#define edje_obj_text_insert_filter_callback_del_full | ( |  | part,
|  |  | func,
|  |  | data,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_TEXT_INSERT_FILTER_CALLBACK_DEL_FULL), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Text_Filter_Cb, func), EO_TYPECHECK(void *, data), EO_TYPECHECK(void **, ret)

Since
  1.8

Delete a function and matching user data from the filter list.

Parameters

  [in] | part |
  [in] | func |
  [in] | data |
  [out] | ret |

See Also
  edje_object_text_insert_filter_callback_del_full

Referenced by edje_object_text_insert_filter_callback_del_full().

#define edje_obj_text_markup_filter_callback_add | ( |  | part,
|  |  | func,
|  |  | data
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_TEXT_MARKUP_FILTER_CALLBACK_ADD), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Markup_Filter_Cb, func), EO_TYPECHECK(void *, data)

Since
  1.8

Add a markup filter function for newly inserted text.

Parameters

  [in] | part |
  [in] | func |
  [in] | data |

See Also
  edje_object_text_markup_filter_callback_add

Referenced by edje_object_text_markup_filter_callback_add().

#define edje_obj_text_markup_filter_callback_del | ( |  | part,
|  |  | func,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_TEXT_MARKUP_FILTER_CALLBACK_DEL), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Markup_Filter_Cb, func), EO_TYPECHECK(void **, ret)

Since
  1.8

Delete a function from the markup filter list.

Parameters

  [in] | part |
  [in] | func |
  [out] | ret |

See Also
  edje_object_text_markup_filter_callback_del

Referenced by edje_object_text_markup_filter_callback_del().

#define edje_obj_text_markup_filter_callback_del_full | ( |  | part,
|  |  | func,
|  |  | data,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_TEXT_MARKUP_FILTER_CALLBACK_DEL_FULL), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Edje_Markup_Filter_Cb, func), EO_TYPECHECK(void *, data), EO_TYPECHECK(void **, ret)

Since
  1.8

Delete a function and matching user data from the markup filter list.

Parameters

  [in] | part |
  [in] | func |
  [in] | data |
  [out] | ret |

See Also
  edje_object_text_markup_filter_callback_del_full

Referenced by edje_object_text_markup_filter_callback_del_full().

## Typedef Documentation

typedef struct _Edje_Entry_Change_Info Edje_Entry_Change_Info

Since
  1.1.0

## Enumeration Type Documentation

enum _Edje_Input_Panel_Lang

Enumerator
EDJE_INPUT_PANEL_LANG_AUTOMATIC | Automatic. Since 1.2
EDJE_INPUT_PANEL_LANG_ALPHABET | Alphabet. Since 1.2

enum _Edje_Input_Panel_Return_Key_Type

Enumerator
EDJE_INPUT_PANEL_RETURN_KEY_TYPE_DEFAULT | Default. Since 1.2
EDJE_INPUT_PANEL_RETURN_KEY_TYPE_DONE | Done. Since 1.2
EDJE_INPUT_PANEL_RETURN_KEY_TYPE_GO | Go. Since 1.2
EDJE_INPUT_PANEL_RETURN_KEY_TYPE_JOIN | Join. Since 1.2
EDJE_INPUT_PANEL_RETURN_KEY_TYPE_LOGIN | Login. Since 1.2
EDJE_INPUT_PANEL_RETURN_KEY_TYPE_NEXT | Next. Since 1.2
EDJE_INPUT_PANEL_RETURN_KEY_TYPE_SEARCH | Search or magnifier icon. Since 1.2
EDJE_INPUT_PANEL_RETURN_KEY_TYPE_SEND | Send. Since 1.2
EDJE_INPUT_PANEL_RETURN_KEY_TYPE_SIGNIN | Sign-in. Since 1.8

enum _Edje_Input_Panel_Layout

Enumerator
EDJE_INPUT_PANEL_LAYOUT_NORMAL | Default layout.
EDJE_INPUT_PANEL_LAYOUT_NUMBER | Number layout.
EDJE_INPUT_PANEL_LAYOUT_EMAIL | Email layout.
EDJE_INPUT_PANEL_LAYOUT_URL | URL layout.
EDJE_INPUT_PANEL_LAYOUT_PHONENUMBER | Phone Number layout.
EDJE_INPUT_PANEL_LAYOUT_IP | IP layout.
EDJE_INPUT_PANEL_LAYOUT_MONTH | Month layout.
EDJE_INPUT_PANEL_LAYOUT_NUMBERONLY | Number Only layout.
EDJE_INPUT_PANEL_LAYOUT_INVALID | Never use this.
EDJE_INPUT_PANEL_LAYOUT_HEX | Hexadecimal layout. Since 1.2
EDJE_INPUT_PANEL_LAYOUT_TERMINAL | Command-line terminal layout including esc, alt, ctrl key, so on (no auto-correct, no auto-capitalization) Since 1.2
EDJE_INPUT_PANEL_LAYOUT_PASSWORD | Like normal, but no auto-correct, no auto-capitalization etc. Since 1.2
EDJE_INPUT_PANEL_LAYOUT_DATETIME | Date and time layout. Since 1.8

## Function Documentation

void edje_password_show_last_set | ( | Eina_Bool | password_show_last | ) |

Show last character in password mode.

Parameters

  password_show_last | If TRUE enable last character show in password mode.

This function enables last input to be visible when in password mode for few seconds or until the next input is entered.

The time out value is obtained by edje_password_show_last_timeout_set function.

See Also
  edje_password_show_last_timeout_set().

void edje_password_show_last_timeout_set | ( | double | password_show_last_timeout | ) |

Set's the timeout value in last show password mode.

Parameters

  password_show_last_timeout | The timeout value.

This functions sets the time out value for which the last input entered in password mode will be visible.

This value can be used only when last show mode is set in password mode.

See Also
  edje_password_show_last_set().

void edje_object_mirrored_set | ( | Evas_Object * | obj,
|  | Eina_Bool | rtl
| ) |  |

Set the RTL orientation for this object.

Parameters

  obj | A handle to an Edje object.
  rtl | new value of flag EINA_TRUE/EINA_FALSE

Since
  1.1.0

References edje_obj_mirrored_set.

Eina_Bool edje_object_mirrored_get | ( | const Evas_Object * | obj | ) |

Get the RTL orientation for this object.

You can RTL orientation explicitly with edje_object_mirrored_set.

Parameters

  obj | A handle to an Edje object.

Returns
  `EINA_TRUE` if the flag is set or `EINA_FALSE` if not.

Since
  1.1.0

References edje_obj_mirrored_get, and EINA_FALSE.

void edje_object_item_provider_set | ( | Evas_Object * | obj,
|  | Edje_Item_Provider_Cb | func,
|  | void * | data
| ) |  |

Set the function that provides item objects for named items in an edje entry text.

Parameters

  obj | A valid Evas Object handle
  func | The function to call (or NULL to disable) to get item objects
  data | The data pointer to pass to the `func` callback

Item objects may be deleted any time by Edje, and will be deleted when the Edje object is deleted (or file is set to a new file).

References edje_obj_item_provider_set.

void edje_object_part_text_imf_context_reset | ( | const Evas_Object * | obj,
|  | const char * | part
| ) |  |

Reset the input method context if needed.

This can be necessary in the case where modifying the buffer would confuse on-going input method behavior

Parameters

  obj | A valid Evas_Object handle
  part | The part name

Since
  1.2.0

References edje_obj_part_text_imf_context_reset.

void* edje_object_part_text_imf_context_get | ( | const Evas_Object * | obj,
|  | const char * | part
| ) |  |

Get the input method context in entry.

If ecore_imf was not available when edje was compiled, this function returns NULL otherwise, the returned pointer is an Ecore_IMF *

Parameters

  obj | A valid Evas_Object handle
  part | The part name

Returns
  The input method context (Ecore_IMF_Context *) in entry

Since
  1.2.0

References edje_obj_part_text_imf_context_get.

void edje_object_part_text_input_panel_layout_set | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Edje_Input_Panel_Layout | layout
| ) |  |

Set the layout of the input panel.

The layout of the input panel or virtual keyboard can make it easier or harder to enter content. This allows you to hint what kind of input you are expecting to enter and thus have the input panel automatically come up with the right mode.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  layout | layout type

Since
  1.1

References edje_obj_part_text_input_panel_layout_set.

Edje_Input_Panel_Layout edje_object_part_text_input_panel_layout_get | ( | const Evas_Object * | obj,
|  | const char * | part
| ) |  |

Get the layout of the input panel.

Parameters

  obj | A valid Evas_Object handle
  part | The part name

Returns
  Layout type of the input panel

See Also
  edje_object_part_text_input_panel_layout_set

Since
  1.1

References EDJE_INPUT_PANEL_LAYOUT_INVALID, and edje_obj_part_text_input_panel_layout_get.

void edje_object_part_text_input_panel_layout_variation_set | ( | Evas_Object * | obj,
|  | const char * | part,
|  | int | variation
| ) |  |

Set the layout variation of the input panel.

The layout variation of the input panel or virtual keyboard can make it easier or harder to enter content. This allows you to hint what kind of input you are expecting to enter and thus have the input panel automatically come up with the right mode.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  variation | layout variation type

Since
  1.8

References edje_obj_part_text_input_panel_variation_set.

int edje_object_part_text_input_panel_layout_variation_get | ( | const Evas_Object * | obj,
|  | const char * | part
| ) |  |

Get the layout variation of the input panel.

Parameters

  obj | A valid Evas_Object handle
  part | The part name

Returns
  Layout variation type of the input panel

See Also
  edje_object_part_text_input_panel_layout_variation_set

Since
  1.8

References edje_obj_part_text_input_panel_variation_get.

void edje_object_part_text_autocapital_type_set | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Edje_Text_Autocapital_Type | autocapital_type
| ) |  |

Set the autocapitalization type on the immodule.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  autocapital_type | The type of autocapitalization

Since
  1.1.0

References edje_obj_part_text_autocapital_type_set.

Edje_Text_Autocapital_Type edje_object_part_text_autocapital_type_get | ( | const Evas_Object * | obj,
|  | const char * | part
| ) |  |

Retrieves the autocapitalization type.

Parameters

  obj | A valid Evas_Object handle
  part | The part name

Returns
  The autocapitalization type

Since
  1.1.0

References edje_obj_part_text_autocapital_type_get.

void edje_object_part_text_prediction_allow_set | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Eina_Bool | prediction
| ) |  |

Set whether the prediction is allowed or not.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  prediction | If true, the prediction feature is allowed.

Since
  1.2.0

References edje_obj_part_text_prediction_allow_set.

Eina_Bool edje_object_part_text_prediction_allow_get | ( | const Evas_Object * | obj,
|  | const char * | part
| ) |  |

Get whether the prediction is allowed or not.

Parameters

  obj | A valid Evas_Object handle
  part | The part name

Returns
  EINA_TRUE if prediction feature is allowed.

Since
  1.2.0

References edje_obj_part_text_prediction_allow_get, and EINA_FALSE.

void edje_object_part_text_input_panel_enabled_set | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Eina_Bool | enabled
| ) |  |

Sets the attribute to show the input panel automatically.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  enabled | If true, the input panel is appeared when entry is clicked or has a focus

Since
  1.1.0

References edje_obj_part_text_input_panel_enabled_set.

Eina_Bool edje_object_part_text_input_panel_enabled_get | ( | const Evas_Object * | obj,
|  | const char * | part
| ) |  |

Retrieve the attribute to show the input panel automatically.

See Also
  edje_object_part_text_input_panel_enabled_set

Parameters

  obj | A valid Evas_Object handle
  part | The part name

Returns
  EINA_TRUE if it supports or EINA_FALSE otherwise

Since
  1.1.0

References edje_obj_part_text_input_panel_enabled_get, and EINA_FALSE.

void edje_object_part_text_input_panel_show | ( | const Evas_Object * | obj,
|  | const char * | part
| ) |  |

Show the input panel (virtual keyboard) based on the input panel property such as layout, autocapital types, and so on.

Note that input panel is shown or hidden automatically according to the focus state. This API can be used in the case of manually controlling by using edje_object_part_text_input_panel_enabled_set.

Parameters

  obj | A valid Evas_Object handle
  part | The part name

Since
  1.2.0

References edje_obj_part_text_input_panel_show.

void edje_object_part_text_input_panel_hide | ( | const Evas_Object * | obj,
|  | const char * | part
| ) |  |

Hide the input panel (virtual keyboard).

See Also
  edje_object_part_text_input_panel_show

Note that input panel is shown or hidden automatically according to the focus state. This API can be used in the case of manually controlling by using edje_object_part_text_input_panel_enabled_set.

Parameters

  obj | A valid Evas_Object handle
  part | The part name

Since
  1.2.0

References edje_obj_part_text_input_panel_hide.

void edje_object_part_text_input_panel_language_set | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Edje_Input_Panel_Lang | lang
| ) |  |

Set the language mode of the input panel.

This API can be used if you want to show the Alphabet keyboard.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  lang | the language to be set to the input panel.

Since
  1.2.0

References edje_obj_part_text_input_panel_language_set.

Edje_Input_Panel_Lang edje_object_part_text_input_panel_language_get | ( | const Evas_Object * | obj,
|  | const char * | part
| ) |  |

Get the language mode of the input panel.

See edje_object_part_text_input_panel_language_set for more details.

Parameters

  obj | A valid Evas_Object handle
  part | The part name

Returns
  input panel language type

Since
  1.2.0

References EDJE_INPUT_PANEL_LANG_AUTOMATIC, and edje_obj_part_text_input_panel_language_get.

void edje_object_part_text_input_panel_imdata_set | ( | Evas_Object * | obj,
|  | const char * | part,
|  | const void * | data,
|  | int | len
| ) |  |

Set the input panel-specific data to deliver to the input panel.

This API is used by applications to deliver specific data to the input panel. The data format MUST be negotiated by both application and the input panel. The size and format of data are defined by the input panel.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  data | The specific data to be set to the input panel.
  len | the length of data, in bytes, to send to the input panel

Since
  1.2.0

References edje_obj_part_text_input_panel_imdata_set.

void edje_object_part_text_input_panel_imdata_get | ( | const Evas_Object * | obj,
|  | const char * | part,
|  | void * | data,
|  | int * | len
| ) |  |

Get the specific data of the current active input panel.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  data | The specific data to be got from the input panel
  len | The length of data

Since
  1.2.0

References edje_obj_part_text_input_panel_imdata_get.

void edje_object_part_text_input_panel_return_key_type_set | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Edje_Input_Panel_Return_Key_Type | return_key_type
| ) |  |

Set the "return" key type.

This type is used to set string or icon on the "return" key of the input panel.

An input panel displays the string or icon associated with this type

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  return_key_type | The type of "return" key on the input panel

Since
  1.2.0

References edje_obj_part_text_input_panel_return_key_type_set.

Edje_Input_Panel_Return_Key_Type edje_object_part_text_input_panel_return_key_type_get | ( | const Evas_Object * | obj,
|  | const char * | part
| ) |  |

Get the "return" key type.

See Also
  edje_object_part_text_input_panel_return_key_type_set() for more details

Parameters

  obj | A valid Evas_Object handle
  part | The part name

Returns
  The type of "return" key on the input panel

Since
  1.2.0

References EDJE_INPUT_PANEL_RETURN_KEY_TYPE_DEFAULT, and edje_obj_part_text_input_panel_return_key_type_get.

void edje_object_part_text_input_panel_return_key_disabled_set | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Eina_Bool | disabled
| ) |  |

Set the return key on the input panel to be disabled.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  disabled | The state

Since
  1.2.0

References edje_obj_part_text_input_panel_return_key_disabled_set.

Eina_Bool edje_object_part_text_input_panel_return_key_disabled_get | ( | const Evas_Object * | obj,
|  | const char * | part
| ) |  |

Get whether the return key on the input panel should be disabled or not.

Parameters

  obj | A valid Evas_Object handle
  part | The part name

Returns
  EINA_TRUE if it should be disabled

Since
  1.2.0

References edje_obj_part_text_input_panel_return_key_disabled_get, and EINA_FALSE.

void edje_object_part_text_input_panel_show_on_demand_set | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Eina_Bool | ondemand
| ) |  |

Set the attribute to show the input panel in case of only an user's explicit Mouse Up event.

It doesn't request to show the input panel even though it has focus.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  ondemand | If true, the input panel will be shown in case of only Mouse up event. (Focus event will be ignored.)

Since
  1.9.0

References edje_obj_part_text_input_panel_show_on_demand_set.

Eina_Bool edje_object_part_text_input_panel_show_on_demand_get | ( | const Evas_Object * | obj,
|  | const char * | part
| ) |  |

Get the attribute to show the input panel in case of only an user's explicit Mouse Up event.

Parameters

  obj | A valid Evas_Object handle
  part | The part name

Returns
  `EINA_TRUE` if the input panel will be shown in case of only Mouse up event.

Since
  1.9.0

References edje_obj_part_text_input_panel_show_on_demand_get, and EINA_FALSE.

void edje_object_text_insert_filter_callback_add | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Edje_Text_Filter_Cb | func,
|  | void * | data
| ) |  |

Add a filter function for newly inserted text.

Whenever text is inserted (not the same as set) into the given `part`, the list of filter functions will be called to decide if and how the new text will be accepted. There are three types of filters, EDJE_TEXT_FILTER_TEXT, EDJE_TEXT_FILTER_FORMAT and EDJE_TEXT_FILTER_MARKUP. The text parameter in the `func` filter can be modified by the user and it's up to him to free the one passed if he's to change the pointer. If doing so, the newly set text should be malloc'ed, as once all the filters are called Edje will free it. If the text is to be rejected, freeing it and setting the pointer to NULL will make Edje break out of the filter cycle and reject the inserted text.

Warning
  This function will be deprecated because of difficulty in use. The type(format, text, or markup) of text should be always checked in the filter function for correct filtering. Please use edje_object_text_markup_filter_callback_add() instead. There is no need to check the type of text in the filter function because the text is always markup.
  If you use this function with edje_object_text_markup_filter_callback_add() together, all Edje_Text_Filter_Cb functions and Edje_Markup_Filter_Cb functions will be executed, and then filtered text will be inserted.

See Also
  edje_object_text_insert_filter_callback_del
  edje_object_text_insert_filter_callback_del_full
  edje_object_text_markup_filter_callback_add

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  func | The callback function that will act as filter
  data | User provided data to pass to the filter function

References edje_obj_text_insert_filter_callback_add.

void* edje_object_text_insert_filter_callback_del | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Edje_Text_Filter_Cb | func
| ) |  |

Delete a function from the filter list.

Delete the given `func` filter from the list in `part`. Returns the user data pointer given when added.

See Also
  edje_object_text_insert_filter_callback_add
  edje_object_text_insert_filter_callback_del_full

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  func | The function callback to remove

Returns
  The user data pointer if successful, or NULL otherwise

References edje_obj_text_insert_filter_callback_del.

void* edje_object_text_insert_filter_callback_del_full | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Edje_Text_Filter_Cb | func,
|  | void * | data
| ) |  |

Delete a function and matching user data from the filter list.

Delete the given `func` filter and `data` user data from the list in `part`. Returns the user data pointer given when added.

See Also
  edje_object_text_insert_filter_callback_add
  edje_object_text_insert_filter_callback_del

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  func | The function callback to remove
  data | The data passed to the callback function

Returns
  The same data pointer if successful, or NULL otherwise

References edje_obj_text_insert_filter_callback_del_full.

void edje_object_text_markup_filter_callback_add | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Edje_Markup_Filter_Cb | func,
|  | void * | data
| ) |  |

Add a markup filter function for newly inserted text.

Whenever text is inserted (not the same as set) into the given `part`, the list of markup filter functions will be called to decide if and how the new text will be accepted. The text parameter in the `func` filter is always markup. It can be modified by the user and it's up to him to free the one passed if he's to change the pointer. If doing so, the newly set text should be malloc'ed, as once all the filters are called Edje will free it. If the text is to be rejected, freeing it and setting the pointer to NULL will make Edje break out of the filter cycle and reject the inserted text. This function is different from edje_object_text_insert_filter_callback_add() in that the text parameter in the `fucn` filter is always markup.

Warning
  If you use this function with edje_object_text_insert_filter_callback_add() togehter, all Edje_Text_Filter_Cb functions and Edje_Markup_Filter_Cb functions will be executed, and then filtered text will be inserted.

See Also
  edje_object_text_markup_filter_callback_del
  edje_object_text_markup_filter_callback_del_full
  edje_object_text_insert_filter_callback_add

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  func | The callback function that will act as markup filter
  data | User provided data to pass to the filter function

Since
  1.2.0

References edje_obj_text_markup_filter_callback_add.

void* edje_object_text_markup_filter_callback_del | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Edje_Markup_Filter_Cb | func
| ) |  |

Delete a function from the markup filter list.

Delete the given `func` filter from the list in `part`. Returns the user data pointer given when added.

See Also
  edje_object_text_markup_filter_callback_add
  edje_object_text_markup_filter_callback_del_full

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  func | The function callback to remove

Returns
  The user data pointer if successful, or NULL otherwise

Since
  1.2.0

References edje_obj_text_markup_filter_callback_del.

void* edje_object_text_markup_filter_callback_del_full | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Edje_Markup_Filter_Cb | func,
|  | void * | data
| ) |  |

Delete a function and matching user data from the markup filter list.

Delete the given `func` filter and `data` user data from the list in `part`. Returns the user data pointer given when added.

See Also
  edje_object_text_markup_filter_callback_add
  edje_object_text_markup_filter_callback_del

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  func | The function callback to remove
  data | The data passed to the callback function

Returns
  The same data pointer if successful, or NULL otherwise

Since
  1.2.0

References edje_obj_text_markup_filter_callback_del_full.